Append Ticket Message
curl --request POST \
--url https://api.tensormesh.ai/v1/support/tickets/{ticketId}/messages \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"userId": "<string>",
"message": {
"userId": "<string>",
"userName": "<string>",
"userRole": "USER_ROLE_UNSPECIFIED",
"content": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
}
'import requests
url = "https://api.tensormesh.ai/v1/support/tickets/{ticketId}/messages"
payload = {
"userId": "<string>",
"message": {
"userId": "<string>",
"userName": "<string>",
"userRole": "USER_ROLE_UNSPECIFIED",
"content": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
userId: '<string>',
message: {
userId: '<string>',
userName: '<string>',
userRole: 'USER_ROLE_UNSPECIFIED',
content: '<string>',
createdAt: '2023-11-07T05:31:56Z'
}
})
};
fetch('https://api.tensormesh.ai/v1/support/tickets/{ticketId}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"ticket": {
"ticketId": "<string>",
"subject": "<string>",
"requesterUserId": "<string>",
"status": "TICKET_STATUS_UNSPECIFIED",
"type": "TICKET_TYPE_UNSPECIFIED",
"conversations": [
{
"userId": "<string>",
"userName": "<string>",
"userRole": "USER_ROLE_UNSPECIFIED",
"content": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Support
Append Ticket Message
Appends a conversation message to a ticket.
POST
https://api.tensormesh.ai
/
v1
/
support
/
tickets
/
{ticketId}
/
messages
Append Ticket Message
curl --request POST \
--url https://api.tensormesh.ai/v1/support/tickets/{ticketId}/messages \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"userId": "<string>",
"message": {
"userId": "<string>",
"userName": "<string>",
"userRole": "USER_ROLE_UNSPECIFIED",
"content": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
}
'import requests
url = "https://api.tensormesh.ai/v1/support/tickets/{ticketId}/messages"
payload = {
"userId": "<string>",
"message": {
"userId": "<string>",
"userName": "<string>",
"userRole": "USER_ROLE_UNSPECIFIED",
"content": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
userId: '<string>',
message: {
userId: '<string>',
userName: '<string>',
userRole: 'USER_ROLE_UNSPECIFIED',
content: '<string>',
createdAt: '2023-11-07T05:31:56Z'
}
})
};
fetch('https://api.tensormesh.ai/v1/support/tickets/{ticketId}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"ticket": {
"ticketId": "<string>",
"subject": "<string>",
"requesterUserId": "<string>",
"status": "TICKET_STATUS_UNSPECIFIED",
"type": "TICKET_TYPE_UNSPECIFIED",
"conversations": [
{
"userId": "<string>",
"userName": "<string>",
"userRole": "USER_ROLE_UNSPECIFIED",
"content": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Authorizations
Bearer authentication using an access token. Format: Bearer <access_token>
Path Parameters
Ticket ID.
Body
application/json
Response
A successful response.
AppendTicketMessageResponse is the response after appending a message.
Ticket represents a support case.
Show child attributes
Show child attributes
Was this page helpful?
⌘I

